include ../config.mak

.PHONY: install
install:
ifdef LANG_DIR
	install -d $(LANG_DIR)/pl_PL.ISO-8859-2
	install -d $(LANG_DIR)/pl_PL.UTF-8
	install -m 0644 pl_PL.ISO-8859-2/cor.bin $(LANG_DIR)/pl_PL.ISO-8859-2
	install -m 0644 pl_PL.ISO-8859-2/gue.bin $(LANG_DIR)/pl_PL.ISO-8859-2
	install -m 0644 pl_PL.ISO-8859-2/lem.bin $(LANG_DIR)/pl_PL.ISO-8859-2
	install -m 0644 pl_PL.ISO-8859-2/pl_PL.ISO-8859-2.sym $(LANG_DIR)/pl_PL.ISO-8859-2
	install -m 0644 pl_PL.UTF-8/lem.bin $(LANG_DIR)/pl_PL.UTF-8
	install -m 0644 cats.dgc $(LANG_DIR)
	install -m 0644 gram.dgc $(LANG_DIR)
	install -m 0644 weights.kor $(LANG_DIR)
endif

.PHONY: uninstall
uninstall:
ifdef LANG_DIR
	rm $(LANG_DIR)/weights.kor
	rm $(LANG_DIR)/gram.dgc
	rm $(LANG_DIR)/cats.dgc
	rm $(LANG_DIR)/pl_PL.UTF-8/lem.bin
	rm $(LANG_DIR)/pl_PL.ISO-8859-2/pl_PL.ISO-8859-2.sym
	rm $(LANG_DIR)/pl_PL.ISO-8859-2/lem.bin
	rm $(LANG_DIR)/pl_PL.ISO-8859-2/gue.bin
	rm $(LANG_DIR)/pl_PL.ISO-8859-2/cor.bin
	rmdir $(LANG_DIR)/pl_PL.ISO-8859-2
	rmdir $(LANG_DIR)/pl_PL.UTF-8
endif
